JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Attributes | List of all members
juce::dsp::ProcessSpec Struct Reference
juce_dsp » processors

This structure is passed into a DSP algorithm's prepare() method, and contains information about various aspects of the context in which it can expect to be called. More...

`#include <juce_ProcessContext.h>`

## Public Attributes
double | sampleRate
| The sample rate that will be used for the data that is sent to the processor.
uint32 | maximumBlockSize
| The maximum number of samples that will be in the blocks sent to process() method.
uint32 | numChannels
| The number of channels that the process() method will be expected to handle.

## Detailed Description

This structure is passed into a DSP algorithm's prepare() method, and contains information about various aspects of the context in which it can expect to be called.

## Member Data Documentation

## ◆ sampleRate

double juce::dsp::ProcessSpec::sampleRate

The sample rate that will be used for the data that is sent to the processor.

Referenced by juce::dsp::Reverb::prepare().

## ◆ maximumBlockSize

uint32 juce::dsp::ProcessSpec::maximumBlockSize

The maximum number of samples that will be in the blocks sent to process() method.

## ◆ numChannels

uint32 juce::dsp::ProcessSpec::numChannels

The number of channels that the process() method will be expected to handle.

Referenced by juce::dsp::ProcessorDuplicator< MonoProcessorType, StateType >::prepare().

The documentation for this struct was generated from the following file:

- juce_ProcessContext.h